<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('products', function (Blueprint $table) {

            $table->string('code')->nullable()->after('name');

            $table->integer('production_qty')->default(0);

            $table->decimal('cost', 10, 2)->default(0);

        });
    }

    public function down(): void
    {
        Schema::table('products', function (Blueprint $table) {

            $table->dropColumn([
                'code',
                'production_qty',
                'cost'
            ]);

        });
    }
};